#  Benchmarking Suite
#  Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

include:
  - project: 'resengit/gitlab/pipeline-helpers'
    ref: main
    file: '/pipelines/golang.yml'

variables:
  CCI_GO_EXECUTABLE: "benchsuite-influx-proxy"
  CCI_SKIP_DEPLOYMENT: "true"
  CCI_KANIKO_OPTS: '--cache=false'
  CCI_SONAR_ALLOW_FAILURE: "true"
  
pledger-jenkins-trigger:
  stage: triggers
  image: curlimages/curl:7.78.0
  script:
    - curl -k -X POST https://116.203.2.200/job/benchmarking/buildWithParameters --user "$PLEDGER_USER_TOKEN" --data SET_VALUE_KEY=influx-proxy.image.tag --data SET_NEW_VALUE=$CI_COMMIT_SHA
  only:
    - master
